> ## Documentation Index
> Fetch the complete documentation index at: https://docsv2.sportxapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Series (All)

> Extended series listing.



## OpenAPI

````yaml /openapi.json get /cricket/api/v2/series/all
openapi: 3.1.0
info:
  title: SportXAPI Cricket API
  version: 2.0.0
  description: >-
    SportXAPI is a low-latency cricket data API delivering realtime ball-by-ball
    commentary, live scores, detailed match scorecards, tournaments, team/player
    statistics, ICC rankings, and news.
servers:
  - url: https://apiv2.sportxapi.com
    description: Production API (Paid keys)
  - url: https://api.sportxapi.com
    description: Demo & Testing API (Free/Demo tier)
security: []
paths:
  /cricket/api/v2/series/all:
    get:
      tags:
        - Series & Tournaments
      summary: Series (All)
      description: Extended series listing.
      operationId: series_all
      parameters:
        - name: filter
          in: query
          required: false
          description: Filter slug.
          schema:
            type: string
            example: all
      responses:
        '200':
          description: Successful Response (JSON)
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              example:
                - id: 129917
                  tourName: County Championship Division One
                  tourID: '129917'
                  league: null
                  seriesStartDate: '1775210400000'
                  seriesEndDate: '1790244000000'
                  gender: male
                  formatStartDate: 04/03/2026
                  formatEndDate: 09/24/2026
                  t20count: 0
                  odicount: 0
                  testcount: 70
                  t10Count: 0
                  matchLevel: domestic
                  seriesStatus: live
                - id: 129918
                  tourName: County Championship Division Two
                  tourID: '129918'
                  league: null
                  seriesStartDate: '1775210400000'
                  seriesEndDate: '1790244000000'
                  gender: male
                  formatStartDate: 04/03/2026
                  formatEndDate: 09/24/2026
                  t20count: 0
                  odicount: 0
                  testcount: 56
                  t10Count: 0
                  matchLevel: domestic
                  seriesStatus: live
        '401':
          description: Unauthorized - Missing or invalid X-API-Key header
          content:
            application/json:
              example:
                error: 'Unauthorized: Missing or invalid API key'
        '429':
          description: Too Many Requests - Rate limit or monthly quota exceeded
          content:
            application/json:
              example:
                error: Quota limit exceeded for current billing cycle
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.